Ethiack Docs
Ci cd jobs

Get Job information

GET
/v1/jobs/{job_uuid}

Retrieves information about a CI/CD job.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

job_uuid*string

UUID of the job.

Response Body

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/jobs/string"
{
  "job": {
    "status": "pending",
    "uuid": "string",
    "url": "string",
    "beacon_id": null,
    "created": "2019-08-24T14:15:22Z",
    "started": null,
    "finished": null,
    "findings": [
      {
        "id": 0,
        "title": "string",
        "md": null,
        "html": null,
        "asset_id": null,
        "asset_value": "string",
        "status": 0,
        "previous_status": null,
        "requested_score": null,
        "event_id": null,
        "severity": "none",
        "priority": 0,
        "score": null,
        "cve": null,
        "cvss_vector": null,
        "created": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}